summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/lvc.sh17
-rw-r--r--job-cfg/lvc.yaml2
2 files changed, 12 insertions, 7 deletions
diff --git a/bin/lvc.sh b/bin/lvc.sh
index 1a6dae4f..87a596b0 100755
--- a/bin/lvc.sh
+++ b/bin/lvc.sh
@@ -18,13 +18,18 @@ replace_origin_pu() {
echo "${PREFIX}${BRANCH#origin/pu/}"
}
-# if $URL is set to something that looks like a pu git branch, try to find the matching .iso
-if PU_ISO="$(replace_origin_pu "/srv/d-i/isos/mini-gtk-" $URL).iso" ; then
- [ -f $PU_ISO ] || {
- echo "looks like we're meant to be testing '$PU_ISO', but it's missing"
+# if $URL is set to "use_PU_GIT_BRANCH" then use the contents of $PU_GIT_BRANCH to work out the locally built ISO name
+if [ "use_PU_GIT_BRANCH" = "$URL" ] ; then
+ if PU_ISO="$(replace_origin_pu "/srv/d-i/isos/mini-gtk-" $PU_GIT_BRANCH).iso" ; then
+ [ -f "$PU_ISO" ] || {
+ echo "looks like we're meant to be testing '$PU_ISO', but it's missing"
+ exit 1
+ }
+ URL=$PU_ISO
+ else
+ echo "URL='$URL' but PU_GIT_BRANCH='$PU_GIT_BRANCH' -- aborting"
exit 1
- }
- URL=$PU_ISO
+ fi
fi
cleanup_all() {
diff --git a/job-cfg/lvc.yaml b/job-cfg/lvc.yaml
index 632e6aba..aed51481 100644
--- a/job-cfg/lvc.yaml
+++ b/job-cfg/lvc.yaml
@@ -75,7 +75,7 @@
my_time: 'H */8 * * *'
- 'debian-miniiso':
dist_name: 'Debian-Installer local mini.iso'
- my_iso: '$PU_GIT_BRANCH'
+ my_iso: 'use_PU_GIT_BRANCH'
- 'debian-testing-daily-broken':
dist_name: 'Debian-Installer Testing (Daily) -- Broken Scenarios'
my_iso: 'http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd/debian-testing-amd64-netinst.iso'